OAuth2 CKAN extension
=====================
**Does not work for CKAN versions >= 2.10**

[![Build Status](https://travis-ci.org/conwetlab/ckanext-oauth2.svg?branch=master)](https://travis-ci.org/conwetlab/ckanext-oauth2)
[![Coverage Status](https://coveralls.io/repos/github/conwetlab/ckanext-oauth2/badge.svg?branch=master)](https://coveralls.io/github/conwetlab/ckanext-oauth2?branch=master)

WORK IN PROGRESS: This extension is currently being migrated to Python 3.

The OAuth2 extension allows site visitors to login through an OAuth2 server.

**Note**: This extension is being tested in CKAN 2.10.0a0 on Python 3.8. These are therefore considered as the supported versions.

## Installing with Pip over GitHub
This fork can be installed with the following command:
```
pip install git+https://github.com/kangmoesss/ckanext-oauth2-py3.git
```

## Links

1. [Activating & Installing the plugin](https://github.com/conwetlab/ckanext-oauth2/wiki/Activating-and-Installing)
2. [Starting CKAN over HTTPs](https://github.com/conwetlab/ckanext-oauth2/wiki/Starting-CKAN-over-HTTPs)
3. [How it works?](https://github.com/conwetlab/ckanext-oauth2/wiki/How-it-works%3F)


## Credits

Based on the fork from [Conwetlab](https://github.com/conwetlab/ckanext-oauth2) and the pull request by [FedericOldani](https://github.com/conwetlab/ckanext-oauth2/pull/42)
